package User_Task_report;

import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;

import baseclass.TestBase;

public class User_Task_Report extends TestBase {

	public User_Task_Report() {
		PageFactory.initElements(driver, this);
	}

	@FindBy(xpath = "//span[text()=\"Reports\"]")
	private WebElement reports;

	public void click_on_reports() {
		reports.click();
	}

	// ----WewbElement of User task_Report
	@FindBy(xpath = "//span[text()=\"User Task\"]")
	private WebElement user_task;

	public void click_on_User_task() {
		user_task.click();
	}

	// ----WebElement of Select user
	@FindBy(xpath = "//div[@class=\"select__input-container css-ackcql\"]")
	private WebElement select_user;

	public void click_user() {
		select_user.click();
		Actions actn = new Actions(driver);
		actn.click(select_user).pause(10).sendKeys("Saurabh Shelke" + Keys.ENTER).build().perform();
	}

	// ---WebElement of Select Date
	@FindBy(name = "from_date")
	private WebElement fromdate;

	public void selectFromDate() {
		Actions act = new Actions(driver);
		act.click(fromdate).pause(10).sendKeys("10012022" + Keys.ENTER).build().perform();
	}

	@FindBy(name = "to_date")
	private WebElement todate;
	public void selectToDate() {
		Actions act1 = new Actions(driver);
		act1.click(todate).pause(10).sendKeys("11102022" + Keys.ENTER).build().perform();
	}
	
	@FindBy(xpath="//button[@class=\" btn btn-sm btn-danger text-white\"]")
	private WebElement export;
	public void click_on_export()
	{
		export.click();
	}
	
	@FindBy(xpath="//button[@class=\"btn btn-sm btn-warning text-white\"]")
	private WebElement search_button;
	public void click_onSearchButton()
	{
		search_button.click();
	}
	

}
